#include <iostream>

using namespace std;

int main()
{
    int p,q,r;
    long long int L,R;
    cin>>p;
    cin>>q;
    cin>>r;
    cin>>L;
    cin>>R;
    long long int brojac = 0;
    long long int a=0;
    long long int b = 0;
    long long int c=0;
    int maximum;
    if(p==1 || q==1 || r==1)
    {
        cout<<"0";
        return 0;
    }
    if((p==2 && q==3 && r==7)||(p==2 && q==7 && r==3)||(p==3 && q==2 && r==7)||(p==3 && q==7 && r==2)||(p==7 && q==3 && r==2)||(p==7 && q==2 && r==3))
    {
        if(R>=44)
        {
            maximum=44;
        }
        else
        {
            maximum=R;
        }
        for(int i =L;i<maximum;i++)
        {
            if(i%p>0)
            {
                a=(i/p)+1;
            }
            else
            {
                a=i/p;
            }
            if(i%q>0)
            {
                b=(i/q)+1;
            }
            else
            {
                b=i/q;
            }
            if(i%r>0)
            {
                c=(i/r)+1;
            }
            else
            {
                c=i/r;
            }
            if(a+b+c>i)
            {
                brojac++;
            }
        }
        cout<<(R-L+1)-brojac;
        return 0;
    }
    for(int i =L;i<=R;i++)
    {

        if(i%p>0)
        {
            a=(i/p)+1;
        }
        else
        {
            a=i/p;
        }
        if(i%q>0)
        {
            b=(i/q)+1;
        }
        else
        {
            b=i/q;
        }
        if(i%r>0)
        {
            c=(i/r)+1;
        }
        else
        {
            c=i/r;
        }
        if((a+b+c-i)<=0)
        {
            brojac++;
        }
    }
    cout<<brojac;
    return 0;
}